unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, OleCtrls, SHDocVw, ComCtrls, MSHTML_TLB;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    Panel1: TPanel;
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    StatusBar1: TStatusBar;
    Button2: TButton;
    Label2: TLabel;
    Edit2: TEdit;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure WebBrowser1TitleChange(Sender: TObject;
      const Text: WideString);
    procedure WebBrowser1StatusTextChange(Sender: TObject;
      const Text: WideString);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
 WebBrowser1.Navigate(Edit1.Text);
end;

procedure TForm1.WebBrowser1TitleChange(Sender: TObject;
  const Text: WideString);
begin
 Caption := Text;
end;

procedure TForm1.WebBrowser1StatusTextChange(Sender: TObject; const Text: WideString);
begin
 StatusBar1.SimpleText := Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
{ from MSHTML_TLB
  htmlDesignModeInherit = $FFFFFFFE;
  htmlDesignModeOn = $FFFFFFFF;
  htmlDesignModeOff = $00000000;
  htmlDesignMode_Max = $7FFFFFFF;
  use it as - Inherit, On, Off ( _Max ?)
}
 IHTMLDocument2(WebBrowser1.Document).designMode := 'On';
end;

procedure TForm1.Button3Click(Sender: TObject);
var
   Range: IHTMLTxtRange;
begin
   // http://aspxDelphi.net
   Range := ((WebBrowser1.Document as IHTMLDocument2).body as IHTMLBodyElement).createTextRange;
   Range.Collapse(False) ;
   Range.PasteHTML(Edit2.Text) ;
end;

end.
