unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, OleCtrls, SHDocVw, ComCtrls, Menus, ToolWin,
  ImgList, Buttons, XPMan;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    StatusBar1: TStatusBar;
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    ToolBar2: TToolBar;
    ToolButton1: TToolButton;
    Edit2: TMenuItem;
    View1: TMenuItem;
    Favorites1: TMenuItem;
    ools1: TMenuItem;
    Help1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Close1: TMenuItem;
    ImageList1: TImageList;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolBar3: TToolBar;
    Panel1: TPanel;
    Label1: TLabel;
    ComboBox1: TComboBox;
    SpeedButton1: TSpeedButton;
    XPManifest1: TXPManifest;
    Panel2: TPanel;
    Animate1: TAnimate;
    procedure WebBrowser1TitleChange(Sender: TObject;
      const Text: WideString);
    procedure WebBrowser1StatusTextChange(Sender: TObject;
      const Text: WideString);
    procedure SpeedButton1Click(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ComboBox1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.WebBrowser1TitleChange(Sender: TObject;
  const Text: WideString);
begin
 Caption := Text;
end;

procedure TForm1.WebBrowser1StatusTextChange(Sender: TObject;
  const Text: WideString);
begin
 StatusBar1.SimpleText := Text;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
 WebBrowser1.Navigate(ComboBox1.Text);
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
 WebBrowser1.Stop;
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
 WebBrowser1.Refresh;
end;

procedure TForm1.ToolButton3Click(Sender: TObject);
begin
 WebBrowser1.GoHome;
end;

procedure TForm1.ComboBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if Key = VK_Return then SpeedButton1Click(Sender);
end;

end.
